#include "ginyencapsulador.h"
#include "ui_ginyencapsulador.h"

GinyEncapsulador::GinyEncapsulador(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::GinyEncapsulador)
{
    ui->setupUi(this);
    gt = new GinyTemps;
    ui->verticalLayoutEtiquetes->addWidget(gt);
    connect(this,SIGNAL(vSenyalAtura()),gt,SLOT(vStop()));
    connect(this,SIGNAL(vSenyalInicia(int)),gt,SLOT(vStart(int)));
}

GinyEncapsulador::~GinyEncapsulador()
{
    delete ui;
}


void GinyEncapsulador::on_btStart_clicked()
{
    emit vSenyalInicia(REFRESC_ms);
}

void GinyEncapsulador::on_btStop_clicked()
{
    emit vSenyalAtura();
}
