#include "ginytemps.h"
#include "ui_ginytemps.h"
#include <QDebug>

GinyTemps::GinyTemps(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::GinyTemps)
{
    ui->setupUi(this);

    vActualitzaEtiquetes();
    timer = new QTimer(this);
    connect(timer,SIGNAL(timeout()),this,SLOT(vActualitzaEtiquetes()));
    vStart(500);
}

GinyTemps::~GinyTemps()
{
    delete ui;
}

void GinyTemps::vActualitzaEtiquetes(){
    QString qszTm = tm.currentTime().toString();
    qszH = qszTm.mid(0,2);
    qszM = qszTm.mid(3,2);
    qszS = qszTm.mid(6,2);
    qDebug() << qszTm;
    ui->etH->setText(qszH);
    ui->etM->setText(qszM);
    ui->etS->setText(qszS);
}

void GinyTemps::vStart(int n){
    timer->start(n);
}

void GinyTemps::vStop(){
    timer->stop();
}
